package com.hzya.frame.mdm.mdmModuleDistribute.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.mdm.mdmModuleDistributeDetail.entity.MdmModuleDistributeDetailEntity;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 主数据功能应用分发表(MdmModuleDistribute)实体类
 *
 * @author makejava
 * @since 2023-11-06 15:27:42
 */
public class MdmModuleDistributeEntity extends BaseEntity {
 
  /**  主数据模版ID */
   private String mdmId;
  /**  应用id */
   private String appId;
  /**  新增接口 */
   private String addApi;
  /**  删除接口 */
   private String deleteApi;
  /**  新增使用类型 */
   private String addType;
  /**  删除使用类型 */
   private String deleteType;
  /**  新增插件 */
   private String addPlug;
  /**  删除插件 */
   private String deletePlug;
    private List<MdmModuleDistributeDetailEntity> addList;
    private List<MdmModuleDistributeDetailEntity> deleteList;

    public List<MdmModuleDistributeDetailEntity> getAddList() {
        return addList;
    }

    public void setAddList(List<MdmModuleDistributeDetailEntity> addList) {
        this.addList = addList;
    }

    public List<MdmModuleDistributeDetailEntity> getDeleteList() {
        return deleteList;
    }

    public void setDeleteList(List<MdmModuleDistributeDetailEntity> deleteList) {
        this.deleteList = deleteList;
    }

    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAddApi() {
        return addApi;
    }

    public void setAddApi(String addApi) {
        this.addApi = addApi;
    }

    public String getDeleteApi() {
        return deleteApi;
    }

    public void setDeleteApi(String deleteApi) {
        this.deleteApi = deleteApi;
    }

    public String getAddType() {
        return addType;
    }

    public void setAddType(String addType) {
        this.addType = addType;
    }

    public String getDeleteType() {
        return deleteType;
    }

    public void setDeleteType(String deleteType) {
        this.deleteType = deleteType;
    }

    public String getAddPlug() {
        return addPlug;
    }

    public void setAddPlug(String addPlug) {
        this.addPlug = addPlug;
    }

    public String getDeletePlug() {
        return deletePlug;
    }

    public void setDeletePlug(String deletePlug) {
        this.deletePlug = deletePlug;
    }

}

